Package ghidra.app.cmd.function

# Class SetFunctionVarArgsCommand

java.lang.Object
ghidra.app.cmd.function.SetFunctionVarArgsCommand

All Implemented Interfaces:
  `Command`

public class SetFunctionVarArgsCommand extends Object implements Command
A simple command to set whether or not a function has VarArgs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetFunctionVarArgsCommand(Function function, boolean hasVarArgs)`
  Creates a new command that will set whether or not there are VarArgs on the given function.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetFunctionVarArgsCommand

    public SetFunctionVarArgsCommand(Function function, boolean hasVarArgs)
    Creates a new command that will set whether or not there are VarArgs on the given function.
    Parameters:
      `function` - The function on which to set whether or not there are VarArgs.
      `hasVarArgs` - true if you want to set this function to have VarArgs.

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command
    See Also:
      - `Command.getName()`